# Enum Class VulkanLogicalDeviceType.VulkanWaitStatus

java.lang.Object
java.lang.Enum<VulkanLogicalDeviceType.VulkanWaitStatus>
com.io7m.jcoronado.api.VulkanLogicalDeviceType.VulkanWaitStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanLogicalDeviceType.VulkanWaitStatus>`, `Constable`

Enclosing interface:
  `VulkanLogicalDeviceType`

public static enum VulkanLogicalDeviceType.VulkanWaitStatus extends Enum<VulkanLogicalDeviceType.VulkanWaitStatus>
The result of waiting.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_WAIT_SUCCEEDED`
  Specifies that waiting for a condition succeeded (the condition became `true`).
  `VK_WAIT_TIMED_OUT`
  Specifies that waiting for a condition timed out (the condition did not become `true`).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanLogicalDeviceType.VulkanWaitStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanLogicalDeviceType.VulkanWaitStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_WAIT_SUCCEEDED

    public static final VulkanLogicalDeviceType.VulkanWaitStatus VK_WAIT_SUCCEEDED
    Specifies that waiting for a condition succeeded (the condition became `true`).

  - ### VK_WAIT_TIMED_OUT

    public static final VulkanLogicalDeviceType.VulkanWaitStatus VK_WAIT_TIMED_OUT
    Specifies that waiting for a condition timed out (the condition did not become `true`).

- ## Method Details

  - ### values

    public static VulkanLogicalDeviceType.VulkanWaitStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanLogicalDeviceType.VulkanWaitStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null